GradleUtil (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.cli.gradle

## [Groovy] Class GradleUtil

- org.grails.cli.gradle.GradleUtil

- Utility methods for interacting with Gradle

  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static org.gradle.tooling.ProjectConnection` | `openGradleConnection(java.io.File baseDir)`
    `<T>` | `static T` | `runBuildActionWithConsoleOutput(ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction)`
    `<T>` | `static T` | `runBuildActionWithConsoleOutput(ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction, groovy.lang.Closure<?> buildActionExecuterCustomizationClosure)`
    `<T>` | `static T` | `runBuildActionWithConsoleOutput(org.gradle.tooling.ProjectConnection connection, ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction)`
    `<T>` | `static T` | `runBuildActionWithConsoleOutput(org.gradle.tooling.ProjectConnection connection, ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction, groovy.lang.Closure<?> buildActionExecuterCustomizationClosure)`
    `` | `static void` | `runBuildWithConsoleOutput(ExecutionContext context, groovy.lang.Closure<?> buildLauncherCustomizationClosure)`
    `` | `static org.gradle.tooling.LongRunningOperation` | `setupConsoleOutput(ProjectContext context, org.gradle.tooling.LongRunningOperation operation)`
    `` | `static java.lang.Object` | `wireCancellationSupport(ExecutionContext context, org.gradle.tooling.BuildLauncher buildLauncher)`
    `<T>` | `static T` | `withProjectConnection(java.io.File baseDir, boolean suppressOutput = DEFAULT_SUPPRESS_OUTPUT, groovy.lang.Closure<T> closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static org.gradle.tooling.ProjectConnection openGradleConnection(java.io.File baseDir)

    - #### <T> static T runBuildActionWithConsoleOutput(ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction)

    - #### <T> static T runBuildActionWithConsoleOutput(ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction, @groovy.transform.stc.ClosureParams(value = FromString.class, options = "org.gradle.tooling.BuildActionExecuter") groovy.lang.Closure<?> buildActionExecuterCustomizationClosure)

    - #### <T> static T runBuildActionWithConsoleOutput(org.gradle.tooling.ProjectConnection connection, ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction)

    - #### <T> static T runBuildActionWithConsoleOutput(org.gradle.tooling.ProjectConnection connection, ProjectContext context, org.gradle.tooling.BuildAction<T> buildAction, @groovy.transform.stc.ClosureParams(value=FromString.class, options="org.gradle.tooling.BuildActionExecuter") groovy.lang.Closure<?> buildActionExecuterCustomizationClosure)

    - #### static void runBuildWithConsoleOutput(ExecutionContext context, @groovy.transform.stc.ClosureParams(value = SimpleType.class, options = "org.gradle.tooling.BuildLauncher") groovy.lang.Closure<?> buildLauncherCustomizationClosure)

    - #### static org.gradle.tooling.LongRunningOperation setupConsoleOutput(ProjectContext context, org.gradle.tooling.LongRunningOperation operation)

    - #### static java.lang.Object wireCancellationSupport(ExecutionContext context, org.gradle.tooling.BuildLauncher buildLauncher)

    - #### <T> static T withProjectConnection(java.io.File baseDir, boolean suppressOutput = DEFAULT_SUPPRESS_OUTPUT, @groovy.transform.stc.ClosureParams(value = SimpleType.class, options = "org.gradle.tooling.ProjectConnection") groovy.lang.Closure<T> closure)